MyGUI: MyGUI::ControllerPosition Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ControllerPosition Class Reference

`#include <MyGUI_ControllerPosition.h>`

Inheritance diagram for MyGUI::ControllerPosition:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ControllerPosition | RTTIBase
typedef delegates::CDelegate4< const IntCoord &, const IntCoord &, IntCoord &, float > | FrameAction
Public Types inherited from MyGUI::ControllerItem
typedef RTTIBase | Base
typedef ControllerItem | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ControllerPosition ()
virtual | ~ControllerPosition ()
void | setCoord (const IntCoord &_value)
void | setSize (const IntSize &_value)
void | setPosition (const IntPoint &_value)
void | setFunction (const std::string &_value)
void | setTime (float _value)
void | setAction (FrameAction::IDelegate *_value)
virtual bool | addTime (Widget *_widget, float _time)
virtual void | prepareItem (Widget *_widget)
virtual void | setProperty (const std::string &_key, const std::string &_value)
Public Member Functions inherited from MyGUI::ControllerItem
template<typename Type >
bool | isType () const
virtual | ~ControllerItem ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ControllerItem
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Data Fields inherited from MyGUI::ControllerItem
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPreAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventUpdateAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPostAction

## Detailed Description

This controller used for smooth changing position of widget in time

Definition at line 20 of file MyGUI_ControllerPosition.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ControllerPosition::Base

Definition at line 23 of file MyGUI_ControllerPosition.h.

## ◆ FrameAction

typedef delegates::CDelegate4<const IntCoord&, const IntCoord&, IntCoord&, float> MyGUI::ControllerPosition::FrameAction

Definition at line 26 of file MyGUI_ControllerPosition.h.

## ◆ RTTIBase

typedef ControllerPosition MyGUI::ControllerPosition::RTTIBase

Definition at line 23 of file MyGUI_ControllerPosition.h.

## Constructor & Destructor Documentation

## ◆ ControllerPosition()

MyGUI::ControllerPosition::ControllerPosition | ( |  | ) |

Definition at line 18 of file MyGUI_ControllerPosition.cpp.

## ◆ ~ControllerPosition()

MyGUI::ControllerPosition::~ControllerPosition | ( |  | ) |
| virtual

Definition at line 26 of file MyGUI_ControllerPosition.cpp.

## Member Function Documentation

## ◆ addTime()

bool MyGUI::ControllerPosition::addTime | ( | Widget * | _widget,
|  | float | _time
| ) |  |
| virtual

Implements MyGUI::ControllerItem.

Definition at line 63 of file MyGUI_ControllerPosition.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ControllerPosition::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 23 of file MyGUI_ControllerPosition.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::ControllerPosition::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ControllerItem.

Definition at line 23 of file MyGUI_ControllerPosition.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ControllerPosition::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 23 of file MyGUI_ControllerPosition.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ControllerPosition::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ControllerItem.

Definition at line 23 of file MyGUI_ControllerPosition.h.

## ◆ prepareItem()

void MyGUI::ControllerPosition::prepareItem | ( | Widget * | _widget | ) |
| virtual

Implements MyGUI::ControllerItem.

Definition at line 53 of file MyGUI_ControllerPosition.cpp.

## ◆ setAction()

void MyGUI::ControllerPosition::setAction | ( | FrameAction::IDelegate * | _value | ) |

Parameters

  _value | Delegate applied to widget every frame (see ControllerPosition::eventFrameAction)

Definition at line 134 of file MyGUI_ControllerPosition.cpp.

## ◆ setCoord()

void MyGUI::ControllerPosition::setCoord | ( | const IntCoord & | _value | ) |

Definition at line 30 of file MyGUI_ControllerPosition.cpp.

## ◆ setFunction()

void MyGUI::ControllerPosition::setFunction | ( | const std::string & | _value | ) |

Definition at line 117 of file MyGUI_ControllerPosition.cpp.

## ◆ setPosition()

void MyGUI::ControllerPosition::setPosition | ( | const IntPoint & | _value | ) |

Definition at line 45 of file MyGUI_ControllerPosition.cpp.

## ◆ setProperty()

void MyGUI::ControllerPosition::setProperty | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| virtual

Reimplemented from MyGUI::ControllerItem.

Definition at line 103 of file MyGUI_ControllerPosition.cpp.

## ◆ setSize()

void MyGUI::ControllerPosition::setSize | ( | const IntSize & | _value | ) |

Definition at line 37 of file MyGUI_ControllerPosition.cpp.

## ◆ setTime()

void MyGUI::ControllerPosition::setTime | ( | float | _value | ) |

Parameters

  _value | seconds in which widget planned to reach destination coordinate

Definition at line 129 of file MyGUI_ControllerPosition.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ControllerPosition.h
- MyGUI_ControllerPosition.cpp